Download it now!
Bug 125482 - Question marks in file names ( qt5)
Summary: Question marks in file names ( qt5)
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-05-25 04:45 UTC by tantrido
Modified: 2019-12-30 03:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tantrido 2019-05-25 04:45:23 UTC
LibreOffice Writer added 8 question marks to every new created file names with Russian characters like: <file name>.odt???????? When I removed these questions in file manager (renamed) Writer rejects to open these files: file "<file name>.odt????????" does not exists. While I removed these characters.
Comment 1 tantrido 2019-05-25 04:52:22 UTC
Discovered: it is libreoffice-qt5 package bug. Removed it, installed libreoffice-gtk3 - works fine now.
Comment 2 raal 2019-05-25 06:23:48 UTC
You cannot confirm your own bugs. Set back to unconfirmed. Please attach test file.
Comment 3 tantrido 2019-05-25 06:26:06 UTC
What do You mean my bug???!!! It is LibreOffice bug!!! Attaching file.
Comment 4 tantrido 2019-05-25 06:33:03 UTC
Hmm... not reproducible on new files, on some old only and only with qt5 package. Do not know how to send them.
Comment 5 tantrido 2019-05-25 06:48:10 UTC
Weird. Now I have this bug with gtk3 as well. Only when opening via file manager - Dolphin. Can open file via menu File->Open or via another file manager.
Comment 6 tantrido 2019-05-29 09:11:38 UTC
Happen again, definitely kde integration bug, see Bug 125498.
Comment 7 Jan-Marek Glogowski 2019-06-01 06:42:25 UTC
(In reply to tantrido from comment #3)
> What do You mean my bug???!!! It is LibreOffice bug!!! Attaching file.

Please calm down! Nothing will happen with your bug if you act rude!

This is our bug policy. As long as nobody then yourself can reproduce a problem, it stays UNCONFIRMED. If other people also see the bug it becomes NEW.

Developers normally just look at NEW problems. QA (like raal) tries very hard to make a problem reproducable, so it can be looked at and eventually fixed by some developer. Because most times it's impossible to fix a problem you don't have ;-)

P.S. I suspect it's no file problem, as this also on load and save with renamed files.
Comment 8 Michael Weghorn 2019-06-01 21:54:51 UTC
Some questions/aspects:

1) Is this always reproducible for you, and also e.g. if you save the file in /tmp/ (given that bug 125498 doesn't appear then)?

2) Please paste version info from "Help" -> "About LibreOffice" (to be sure whether this is plain qt5 or kde5 VCL plugin).

3) Can you give a specific file name for which this happens, preferably with a full path underneath /tmp/ ?

4) Is it correct that this happens for you when you do the following:
* start Writer
* select "File" -> "Save" (or press Ctrl+S)
* in file dialog, select <FILENAME.>.odt
* click save

Just to explicitly have that information mentioned here as well: I guess locale is as mentioned in bug 125498 comment 17.

Please set bug status back to UNCONFIRMED once the requested information has been provided.
Comment 9 QA Administrators 2019-11-29 03:45:30 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-12-30 03:32:51 UTC
Dear tantrido,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp